---
dependency:
  name: galaxy
driver:
  name: delegated
platforms:
  - name: instance
provisioner:
  name: ansible
  env:
    ANSIBLE_FILTER_PLUGINS: ../../../../filter_plugins
  config_options:
    defaults:
      gathering: smart
      fact_caching: jsonfile
      fact_caching_connection: ~/.ansible/facts_cache
      fact_caching_timeout: 7200
      display_skipped_hosts: false

  playbooks:
    create: create.yml
    converge: converge.yml
    cleanup: cleanup.yml
    destroy: destroy.yml
    verify: verify.yml
  inventory:
    hosts:
      all:
        hosts:
          molecule-toolchain:
            ansible_host: molecule-toolchain
            ansible_connection: docker
            ansible_python_interpreter: /usr/bin/python3
            host_save_dir: "/tmp/molecule-trust-api"
            host_xand_dir: "/tmp/molecule-trust-api/non-consensus-node"
            xand_api_jwt_token:
              jwt: "xand-api-jwt"
verifier:
  name: ansible
